Upstream information

CVE-2022-30630 at MITRE

Description

Uncontrolled recursion in Glob in io/fs before Go 1.17.12 and Go 1.18.4 allows an attacker to cause a panic due to stack exhaustion via a path which contains a large number of path separators.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.2
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team on the go1.* package

SUSE only supports the current and the previous GO language releases.

SUSE Bugzilla entry: 1201447 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.17-12.32
  • go1.17 >= 1.17.13-150000.1.42.1
Container bci/golang:1.18
  • go1.18 >= 1.18.5-150000.1.25.1
SUSE Enterprise Storage 7.1
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2671
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2672
SUSE-Storage-7.1-2023-2312
SUSE Enterprise Storage 7
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-Storage-7-2022-2671
SUSE Liberty Linux 8
  • aardvark-dns >= 1.5.0-2.module+el8.8.0+18060+3f21f2cc
  • buildah >= 1.29.1-1.module+el8.8.0+18195+471da4bb
  • buildah-tests >= 1.29.1-1.module+el8.8.0+18195+471da4bb
  • cockpit-podman >= 63.1-1.module+el8.8.0+18286+cd236dce
  • conmon >= 2.1.6-1.module+el8.8.0+18098+9b44df5f
  • container-selinux >= 2.205.0-2.module+el8.8.0+18438+15d3aa65
  • containernetworking-plugins >= 1.2.0-1.module+el8.8.0+18060+3f21f2cc
  • containers-common >= 1.2.4-2.module+el8.7.0+16212+65e1b35f
  • crit >= 3.15-3.module+el8.8.0+18060+3f21f2cc
  • criu >= 3.15-3.module+el8.8.0+18060+3f21f2cc
  • criu-devel >= 3.15-3.module+el8.8.0+18060+3f21f2cc
  • criu-libs >= 3.15-3.module+el8.8.0+18060+3f21f2cc
  • crun >= 1.8.1-2.module+el8.8.0+18418+f0e540fe
  • delve >= 1.7.2-1.module+el8.6.0+12972+ebab5911
  • fuse-overlayfs >= 1.10-1.module+el8.8.0+18060+3f21f2cc
  • git-lfs >= 2.13.3-3.el8_6
  • go-toolset >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-bin >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-docs >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-misc >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-race >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-src >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • golang-tests >= 1.17.12-1.module+el8.6.0+16014+a372c00b
  • grafana >= 7.5.15-3.el8
  • grafana-pcp >= 3.2.0-2.el8
  • libslirp >= 4.4.0-1.module+el8.8.0+18060+3f21f2cc
  • libslirp-devel >= 4.4.0-1.module+el8.8.0+18060+3f21f2cc
  • netavark >= 1.5.0-4.module+el8.8.0+18060+3f21f2cc
  • oci-seccomp-bpf-hook >= 1.2.8-1.module+el8.8.0+18060+3f21f2cc
  • podman >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-catatonit >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-docker >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-gvproxy >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-plugins >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-remote >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • podman-tests >= 4.4.1-8.module+el8.8.0+18438+15d3aa65
  • python3-criu >= 3.15-3.module+el8.8.0+18060+3f21f2cc
  • python3-podman >= 4.4.1-1.module+el8.8.0+18275+3a56cc62
  • runc >= 1.1.4-1.module+el8.8.0+18060+3f21f2cc
  • skopeo >= 1.11.2-0.2.module+el8.8.0+18251+ad5b274c
  • skopeo-tests >= 1.11.2-0.2.module+el8.8.0+18251+ad5b274c
  • slirp4netns >= 1.2.0-2.module+el8.8.0+18060+3f21f2cc
  • toolbox >= 0.0.99.3-7.module+el8.8.0+18119+e3deee03
  • toolbox-tests >= 0.0.99.3-7.module+el8.8.0+18119+e3deee03
  • udica >= 0.2.6-20.module+el8.8.0+18060+3f21f2cc
Patchnames:
RHSA-2022:5775
RHSA-2022:7129
RHSA-2022:7519
RHSA-2022:7529
RHSA-2022:7648
RHSA-2023:2758
RHSA-2023:2802
SUSE Liberty Linux 9
  • git-lfs >= 3.2.0-1.el9
  • go-toolset >= 1.17.12-1.el9_0
  • golang >= 1.17.12-1.el9_0
  • golang-bin >= 1.17.12-1.el9_0
  • golang-docs >= 1.17.12-1.el9_0
  • golang-misc >= 1.17.12-1.el9_0
  • golang-race >= 1.17.12-1.el9_0
  • golang-src >= 1.17.12-1.el9_0
  • golang-tests >= 1.17.12-1.el9_0
  • grafana >= 7.5.15-3.el9
  • grafana-pcp >= 3.2.0-3.el9
  • toolbox >= 0.0.99.3-5.el9
  • toolbox-tests >= 0.0.99.3-5.el9
Patchnames:
RHSA-2022:5799
RHSA-2022:8057
RHSA-2022:8098
RHSA-2022:8250
RHSA-2023:2357
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Development Tools 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2671
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2672
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2022-2671
SUSE-SLE-Module-Development-Tools-15-SP4-2022-2672
SUSE-SLE-Module-Development-Tools-15-SP4-2023-2312
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-2671
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-2671
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-2312
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-2312
SUSE Linux Enterprise Real Time 15 SP3
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-2312
SUSE Linux Enterprise Server 15 SP2-BCL
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-2671
SUSE Linux Enterprise Server 15 SP2-LTSS
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-2671
SUSE Linux Enterprise Server 15 SP3-LTSS
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-2312
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-2671
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2671
SUSE-SLE-Module-Development-Tools-15-SP3-2022-2672
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-2312
SUSE Manager Proxy 4.1
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-2671
SUSE Manager Retail Branch Server 4.1
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-2671
SUSE Manager Server 4.1
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-2671
openSUSE Leap 15.3
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
openSUSE-SLE-15.3-2022-2671
openSUSE-SLE-15.3-2022-2672
openSUSE Leap 15.4
  • go1.17 >= 1.17.13-150000.1.42.1
  • go1.17-doc >= 1.17.13-150000.1.42.1
  • go1.17-race >= 1.17.13-150000.1.42.1
  • go1.18 >= 1.18.5-150000.1.25.1
  • go1.18-doc >= 1.18.5-150000.1.25.1
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
  • go1.18-race >= 1.18.5-150000.1.25.1
Patchnames:
openSUSE-SLE-15.4-2022-2671
openSUSE-SLE-15.4-2022-2672
openSUSE-SLE-15.4-2023-2312
openSUSE Leap 15.5
  • go1.18-openssl >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-doc >= 1.18.10.1-150000.1.9.1
  • go1.18-openssl-race >= 1.18.10.1-150000.1.9.1
Patchnames:
openSUSE-SLE-15.5-2023-2312
openSUSE Tumbleweed
  • go1.17 >= 1.17.12-1.1
  • go1.17-doc >= 1.17.12-1.1
  • go1.17-race >= 1.17.12-1.1
  • go1.18 >= 1.18.4-1.1
  • go1.18-doc >= 1.18.4-1.1
  • go1.18-race >= 1.18.4-1.1
Patchnames:
openSUSE Tumbleweed GA go1.17-1.17.12-1.1
openSUSE Tumbleweed GA go1.18-1.18.4-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 go Not affected
SUSE Enterprise Storage 7.1 go1.15 Unsupported
SUSE Enterprise Storage 7.1 go1.16 Unsupported
SUSE Enterprise Storage 7.1 go1.17 Released
SUSE Enterprise Storage 7.1 go1.18 Released
SUSE Enterprise Storage 7.1 go1.18-openssl Released
SUSE Linux Enterprise Desktop 15 SP5 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 go Not affected
SUSE Linux Enterprise Real Time 15 SP3 go Not affected
SUSE Linux Enterprise Real Time 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 go1.17 Affected
SUSE Linux Enterprise Real Time 15 SP3 go1.18 Affected
SUSE Linux Enterprise Real Time 15 SP3 go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP5 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.17 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 go Not affected
SUSE Manager Proxy 4.3 go Not affected
SUSE Manager Proxy 4.3 go1.17 Released
SUSE Manager Proxy 4.3 go1.18 Released
SUSE Manager Proxy 4.3 go1.18-openssl Released
SUSE Manager Retail Branch Server 4.3 go Not affected
SUSE Manager Retail Branch Server 4.3 go1.17 Released
SUSE Manager Retail Branch Server 4.3 go1.18 Released
SUSE Manager Retail Branch Server 4.3 go1.18-openssl Released
SUSE Manager Server 4.3 go Not affected
SUSE Manager Server 4.3 go1.17 Released
SUSE Manager Server 4.3 go1.18 Released
SUSE Manager Server 4.3 go1.18-openssl Released
openSUSE Leap 15.5 go1.18-openssl Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 go Not affected
SUSE Linux Enterprise Desktop 15 SP4 go1.17 Released
SUSE Linux Enterprise Desktop 15 SP4 go1.18 Released
SUSE Linux Enterprise Desktop 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2 go1.17 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS go1.17 Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS go1.17 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.17 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.18 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.17 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.15 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.16 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.17 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.17 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.18 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.17 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS go1.18-openssl Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.17 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.18 Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS go1.18-openssl Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.17 Affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.17 Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.18 Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.17 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.18 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP2 go1.17 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS go1.17 Released
SUSE Linux Enterprise Server 15 SP3 go Not affected
SUSE Linux Enterprise Server 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP3 go1.17 Released
SUSE Linux Enterprise Server 15 SP3 go1.18 Released
SUSE Linux Enterprise Server 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Server 15 SP3-LTSS go Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS go1.17 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS go1.18 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP4 go Not affected
SUSE Linux Enterprise Server 15 SP4 go1.17 Released
SUSE Linux Enterprise Server 15 SP4 go1.18 Released
SUSE Linux Enterprise Server 15 SP4 go1.18-openssl Released
SUSE Linux Enterprise Server 15 SP4-LTSS go Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.17 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.18 Affected
SUSE Linux Enterprise Server 15 SP4-LTSS go1.18-openssl Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 go1.17 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 go1.17 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.17 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.18 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 go1.18-openssl Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 go1.15 Unsupported
SUSE Enterprise Storage 6 go1.15 Unsupported
SUSE Enterprise Storage 7 go1.15 Unsupported
SUSE Enterprise Storage 7 go1.16 Unsupported
SUSE Enterprise Storage 7 go1.17 Released
SUSE Linux Enterprise Desktop 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise Desktop 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Desktop 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Desktop 15 SP2 go1.17 Affected
SUSE Linux Enterprise Desktop 15 SP3 go Not affected
SUSE Linux Enterprise Desktop 15 SP3 go1.15 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 go1.16 Unsupported
SUSE Linux Enterprise Desktop 15 SP3 go1.17 Released
SUSE Linux Enterprise Desktop 15 SP3 go1.18 Released
SUSE Linux Enterprise Desktop 15 SP3 go1.18-openssl Affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise Real Time 15 SP2 go1.15 Unsupported
SUSE Linux Enterprise Real Time 15 SP2 go1.16 Unsupported
SUSE Linux Enterprise Real Time 15 SP2 go1.17 Affected
SUSE Linux Enterprise Real Time 15 SP4 go Not affected
SUSE Linux Enterprise Real Time 15 SP4 go1.17 Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.18 Affected
SUSE Linux Enterprise Real Time 15 SP4 go1.18-openssl Affected
SUSE Linux Enterprise Server 15 SP1 go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP1-BCL go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP1-LTSS go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL go1.17 Released
SUSE Linux Enterprise Server 15 SP3-BCL go Not affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.15 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL go1.16 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL go1.17 Affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.18 Affected
SUSE Linux Enterprise Server 15 SP3-BCL go1.18-openssl Affected
SUSE Manager Proxy 4.0 go1.15 Unsupported
SUSE Manager Proxy 4.1 go1.15 Unsupported
SUSE Manager Proxy 4.1 go1.16 Unsupported
SUSE Manager Proxy 4.1 go1.17 Released
SUSE Manager Proxy 4.2 go Not affected
SUSE Manager Proxy 4.2 go1.15 Unsupported
SUSE Manager Proxy 4.2 go1.16 Unsupported
SUSE Manager Proxy 4.2 go1.17 Released
SUSE Manager Proxy 4.2 go1.18 Released
SUSE Manager Proxy 4.2 go1.18-openssl Affected
SUSE Manager Retail Branch Server 4.0 go1.15 Unsupported
SUSE Manager Retail Branch Server 4.1 go1.15 Unsupported
SUSE Manager Retail Branch Server 4.1 go1.16 Unsupported
SUSE Manager Retail Branch Server 4.1 go1.17 Released
SUSE Manager Retail Branch Server 4.2 go Not affected
SUSE Manager Retail Branch Server 4.2 go1.15 Unsupported
SUSE Manager Retail Branch Server 4.2 go1.16 Unsupported
SUSE Manager Retail Branch Server 4.2 go1.17 Released
SUSE Manager Retail Branch Server 4.2 go1.18 Released
SUSE Manager Retail Branch Server 4.2 go1.18-openssl Affected
SUSE Manager Server 4.0 go1.15 Unsupported
SUSE Manager Server 4.1 go1.15 Unsupported
SUSE Manager Server 4.1 go1.16 Unsupported
SUSE Manager Server 4.1 go1.17 Released
SUSE Manager Server 4.2 go Not affected
SUSE Manager Server 4.2 go1.15 Unsupported
SUSE Manager Server 4.2 go1.16 Unsupported
SUSE Manager Server 4.2 go1.17 Released
SUSE Manager Server 4.2 go1.18 Released
SUSE Manager Server 4.2 go1.18-openssl Affected
openSUSE Leap 15.4 go1.18-openssl Released
Container Status
bci/golang:1.16
trento/trento-runner
go1.16Unsupported
bci/golang:1.17 go1.17Released
bci/golang:1.18 go1.18Released
bci/golang go1.18In progress


SUSE Timeline for this CVE

CVE page created: Wed Jul 13 04:15:04 2022
CVE page last modified: Thu Feb 22 17:20:55 2024